Skip to content

Email Templates (Collection)

Endpoint

Method URL
GET /email_templates

GET /email_templates

Parameter Type Description
page int Result page. Defaults to 1.
pagesize int Max per page. Range [10, 100]. Defaults to 10.
sort string Any template field. Defaults to name.
q string Search string filter.

Returns: The template collection.

Example:

curl -u "username:api_key" -H "Accept: application/json" \
  "https://app.duo.pt/email_templates?page=1&pagesize=10"

Response:

{
  "success": true,
  "data": {
    "pageCount": 1,
    "templates": [
      {
        "id": 1,
        "owner": 1,
        "name": "Monthly Newsletter",
        "message": "<html><body>Hi {{name}}</body></html>",
        "shared_with_children": false,
        "tags": "",
        "block_editor_type": "",
        "block_editor_content": null
      }
    ],
    "success": true,
    "page": 1
  }
}